 

#ifndef __ARCH_ARM_SRC_SMARTFUSION2_CHIP_SF2_MEMORYMAP_H
#define __ARCH_ARM_SRC_SMARTFUSION2_CHIP_SF2_MEMORYMAP_H

#include "chip.h"
#include <nuttx/config.h>

#define SF2_UART0_BASE 0x40000000
#define SF2_UART1_BASE 0x40010000
#define SF2_CORE_UART0_BASE 0x30000000
#define SF2_GPIO_BASE 0x40013000
#define SF2_SYSREG_BASE 0x40038000
#define SF2_ETHERNET_BASE 0x40041000
#define SF2_TIMER_BASE 0x40004000

#define SF2_SPI0_BASE 0x40001000
#define SF2_SPI1_BASE 0x40011000

#endif /* __ARCH_ARM_SRC_SMARTFUSION2_CHIP_SF2_MEMORYMAP_H */
